
package org.openspml.browser;

import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import org.openspml.message.*;

public class CancelPanel extends RequestPanel {

    JTextField _reqid;
    LabeledCheckbox _result;

    public CancelPanel(State s) {
        super(s);

        _reqid = new JTextField(25);
        _reqid.addActionListener(this);
        _form.add("Request Id", _reqid);

        addSubmitButton();
    }

    public SpmlRequest getRequest() {

        CancelRequest req = new CancelRequest();
        req.setRequestId(SwingUtil.getText(_reqid));

        return req;
    }

}
